package MT::Plugin::IfEntryIsinCategory;
use strict;
use MT;
use MT::Plugin;

our $VERSION = '0.1';

use base qw( MT::Plugin );

@MT::Plugin::IfEntryIsinCategory::ISA = qw( MT::Plugin );

my $plugin = new MT::Plugin::IfEntryIsinCategory( {
    name => 'IfEntryIsinCategory',
    description => 'If entry is in category, return 1.',
    author_name => 'Junnama Noda',
    author_link => 'http://junnama.alfasado.net/online/',
    version     => $VERSION,
} );

MT->add_plugin( $plugin );

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        tags => {
            block => {
                'IfEntryIsinCategory?' => \&_hdlr_entry_is_in_category,
            },
        },
   });
}

sub _hdlr_entry_is_in_category {
    my ( $ctx, $args, $cond ) = @_;
    my $entry    = $ctx->stash('entry');
    my $category = $ctx->stash('category');
    return 0 unless defined $entry;
    return 0 unless defined $category;
    return 1 if $entry->is_in_category( $category );
    return 0;
}

1;